include ../header/header
include ../similar/similar

mixin text-page(data)
	- data = data || {}

	+b.text-page
		+sidebar(data.sidebar, data.text)

		+e.content
			+e.text
				+header({'text': data.text.title})
				each item in data.text.contents
					if item.paragraph
						+e.paragraph()
							= item.paragraph
					else if item.header
						+header({'text': item.header, "level": 2}).h2(id= item.anchor)